Loading...
Searching...
No Matches
pcl::gpu::PtrStep< T > Struct Template Reference

`#include </build/pcl-FTI9wM/pcl-1.15.1+dfsg/gpu/containers/include/pcl/gpu/containers/kernel_containers.h>`

Inheritance diagram for pcl::gpu::PtrStep< T >:

## Public Member Functions

__PCL_GPU_HOST_DEVICE__ | PtrStep ()
__PCL_GPU_HOST_DEVICE__ | PtrStep (T *data_arg, std::size_t step_arg)
__PCL_GPU_HOST_DEVICE__ T * | ptr (int y=0)
__PCL_GPU_HOST_DEVICE__ const T * | ptr (int y=0) const
__PCL_GPU_HOST_DEVICE__ T & | operator() (int y, int x)
__PCL_GPU_HOST_DEVICE__ const T & | operator() (int y, int x) const
Public Member Functions inherited from pcl::gpu::DevPtr< T >
__PCL_GPU_HOST_DEVICE__ | DevPtr ()
__PCL_GPU_HOST_DEVICE__ | DevPtr (T *data_arg)
__PCL_GPU_HOST_DEVICE__ std::size_t | elemSize () const
__PCL_GPU_HOST_DEVICE__ | operator T* ()
__PCL_GPU_HOST_DEVICE__ | operator const T * () const

## Public Attributes

std::size_t | step
| stride between two consecutive rows in bytes.
Public Attributes inherited from pcl::gpu::DevPtr< T >
T * | data

## Additional Inherited Members

Public Types inherited from pcl::gpu::DevPtr< T >
using | elem_type = T
Static Public Attributes inherited from pcl::gpu::DevPtr< T >
static const std::size_t | elem_size = sizeof(elem_type)

## Detailed Description

template<typename T>
struct pcl::gpu::PtrStep< T >

Definition at line 85 of file kernel_containers.h.

## Constructor & Destructor Documentation

## PtrStep() [1/2]

template<typename T>

__PCL_GPU_HOST_DEVICE__ pcl::gpu::PtrStep< T >::PtrStep | ( |  | ) |

inline

Definition at line 87 of file kernel_containers.h.

References step.

Referenced by pcl::gpu::PtrStepSz< T >::PtrStepSz().

## PtrStep() [2/2]

template<typename T>

__PCL_GPU_HOST_DEVICE__ pcl::gpu::PtrStep< T >::PtrStep | ( | T * | data_arg,
|  | std::size_t | step_arg )

inline

Definition at line 90 of file kernel_containers.h.

References pcl::gpu::DevPtr< T >::DevPtr(), and step.

## Member Function Documentation

## operator()() [1/2]

template<typename T>

__PCL_GPU_HOST_DEVICE__ T & pcl::gpu::PtrStep< T >::operator() | ( | int | y,
|  | int | x )

inline

Definition at line 109 of file kernel_containers.h.

References ptr().

## operator()() [2/2]

template<typename T>

__PCL_GPU_HOST_DEVICE__ const T & pcl::gpu::PtrStep< T >::operator() | ( | int | y,
|  | int | x ) const

inline

Definition at line 115 of file kernel_containers.h.

References ptr().

## ptr() [1/2]

template<typename T>

__PCL_GPU_HOST_DEVICE__ T * pcl::gpu::PtrStep< T >::ptr | ( | int | y = 0 | ) |

inline

Definition at line 97 of file kernel_containers.h.

References pcl::gpu::DevPtr< T >::data, and step.

Referenced by pcl::gpu::DataSource::getNeghborsArray(), pcl::gpu::kinfuLS::CyclicalBuffer::initBuffer(), operator()(), and operator()().

## ptr() [2/2]

template<typename T>

__PCL_GPU_HOST_DEVICE__ const T * pcl::gpu::PtrStep< T >::ptr | ( | int | y = 0 | ) | const

inline

Definition at line 103 of file kernel_containers.h.

References pcl::gpu::DevPtr< T >::data, and step.

## Member Data Documentation

## step

template<typename T>

std::size_t pcl::gpu::PtrStep< T >::step

stride between two consecutive rows in bytes.

Step is stored always and everywhere in bytes!!!

Definition at line 94 of file kernel_containers.h.

Referenced by pcl::gpu::DeviceMemory2D::operator PtrStep< U >(), pcl::gpu::DeviceMemory2D::operator PtrStepSz< U >(), ptr(), ptr(), PtrStep(), PtrStep(), and pcl::gpu::TextureBinder::TextureBinder().

The documentation for this struct was generated from the following file:

- /build/pcl-FTI9wM/pcl-1.15.1+dfsg/gpu/containers/include/pcl/gpu/containers/kernel_containers.h